
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Ben Collins <bcollins@debian.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ieee1394/amdtp.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/ieee1394/amdtp.c~ieee1394-fix-up-schedule_timeout-usage drivers/ieee1394/amdtp.c
--- devel/drivers/ieee1394/amdtp.c~ieee1394-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/ieee1394/amdtp.c	2005-09-11 02:06:29.000000000 -0700
@@ -320,8 +320,7 @@ static void ohci1394_stop_it_ctx(struct 
 			if ((control & OHCI1394_CONTEXT_ACTIVE) == 0)
 				break;
 
-			set_current_state(TASK_INTERRUPTIBLE);
-			schedule_timeout(1);
+			schedule_timeout_interruptible(1);
 		}
 	}
 }
_
